package com.engine.organization.mapper.hrmresource;

import org.apache.ibatis.annotations.Param;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/20
 * @version: 1.0
 */
public interface HrmResourceMapper {

    /**
     * 获取最大ID
     *
     * @return
     */
    Long getMaxId();

    Long getMaxShowOrder();


    /**
     * 根据ID查询姓名
     *
     * @param id
     * @return
     */
    String getLastNameById(@Param("id") Long id);

    /**
     * 根据所选关键字段查询ID
     *
     * @param keyField
     * @param keyFieldValue
     * @return
     */
    Integer getIdByKeyField(@Param("keyField") String keyField, @Param("keyFieldValue") String keyFieldValue);

    ///**
    // * 根据所选关键字段，查询关键列
    // *
    // * @param keyField
    // * @return
    // */
    //List<JSONObject> getKeyMapByKetField(@Param("keyField") String keyField);

    String getEcResourceId(@Param("jclResourceId") String jclResourceId);

    Long getJclResourceId(@Param("ecResourceId") String ecResourceId);
}
